### Virtual Method

# Gtk Application restore_window

unstable since: 4.24

#### Declaration [src]

    void
    restore_window (
      GtkApplication* application,
      GtkRestoreReason reason,
      GVariant* state
    )

#### Description [src]

Class closure for the `GtkApplication::restore-window` signal.

Available since: 4.24

#### Parameters

`reason`

  Type: `GtkRestoreReason`

  The reason this window is restored.

`state`

  Type: `GVariant`

  A dictionary containing the application window state to restore.

  The data is owned by the caller of the method.